<?php

namespace Drupal\webform_newsletter2go;

use Drupal\webform\WebformSubmissionInterface;

/**
 * Interface PostManagerInterface
 *
 * @package Drupal\webform_newsletter2go
 */
interface PostManagerInterface {
  
  /**
   * The newsletter2go API link.
   */
  CONST ENDPOINT = 'https://api.newsletter2go.com';
  
  /**
   * Creates contact.
   *
   * @param string $form_id
   *   The double opt-in registration form id.
   * @param \Drupal\webform\WebformSubmissionInterface $webform_submission
   *   The webform submission to be posted.
   *
   * @throws \GuzzleHttp\Exception\GuzzleException
   */
  public function doubleOptInPost($form_id, WebformSubmissionInterface $webform_submission);

}
